MediaWiki:Common.css:修订间差异

来自梦珂
无编辑摘要
无编辑摘要
 
(未显示2个用户的4个中间版本)
第13行: 第13行:
background-position: center;
background-position: center;
     background-repeat: no-repeat;
     background-repeat: no-repeat;
     background-size: cover;
background: url(https://wiki.moeli-desu.com/images/1/1f/Background.jpg) no-repeat top left;
     background-size : cover;
     background-attachment: fixed;
     background-attachment: fixed;
background: url(https://wiki.moeli-desu.com/images/9/97/Background_test.jpg) no-repeat top left;
  border-bottom:solid 4px #FF7D7F;
border-bottom:solid 4px #FF7D7F;
}
}
/*页面区域顶部彩条*/
/*页面区域顶部彩条*/
第173行: 第171行:
     padding: 0;
     padding: 0;
     text-align: center
     text-align: center
}
/* 黑幕模板配合CSS */
/* 把这几行单独拎出来写,否则会被Firefox合并到“.heimu a”这条规则,然后又被上面的“点过外链不变色”规则override */
.heimu,
.heimu rt {
    background-color: #252525;
}
span.heimu a.external,
span.heimu a.external:visited,
span.heimu a.extiw,
span.heimu a.extiw:visited {
    color: #252525;
}
.heimu,
.heimu a,
a .heimu,
.heimu a.new {
    color: #252525;
    text-shadow: none;
}
body:not(.heimu_toggle_on) .heimu:hover,
body:not(.heimu_toggle_on) .heimu:active,
body:not(.heimu_toggle_on) .heimu.off {
    transition: color .13s linear;
    color: white;
}
body:not(.heimu_toggle_on) .heimu:hover a,
body:not(.heimu_toggle_on) a:hover .heimu,
body:not(.heimu_toggle_on) .heimu.off a,
body:not(.heimu_toggle_on) a:hover .heimu.off {
    transition: color .13s linear;
    color: lightblue;
}
body:not(.heimu_toggle_on) .heimu.off .new,
body:not(.heimu_toggle_on) .heimu.off .new:hover,
body:not(.heimu_toggle_on) .new:hover .heimu.off,
body:not(.heimu_toggle_on) .heimu:hover .new {
    transition: color .13s linear;
    color: #FCC;
}
}

2023年12月17日 (日) 14:08的最新版本

/* 这里放置的CSS将应用于所有皮肤 */
/*mw-body背景透明度*/
#mw-body {
    background-color: rgba(255, 255, 255, 0.75);
}
/* mv-content背景透明度,边栏半透明蓝色*/
#mw-content{
    background-color: rgb(255 255 255 / 96%);
    border: solid rgb(153 187 255 / 64%)
}
/*WIKI背景,底栏条颜色*/
#mw-content-container {
	background-position: center;
    background-repeat: no-repeat;
	background: url(https://wiki.moeli-desu.com/images/1/1f/Background.jpg) no-repeat top left;
    background-size : cover;
    background-attachment: fixed;
   	border-bottom:solid 4px #FF7D7F;
}
/*页面区域顶部彩条*/
.color-left{
	background:#ffffff;
}
.color-middle{
	background:#ffffff;
}
.color-right{
	background:#ffffff;
}
/*全局背景颜色*/
body{
	background:#f6f6f6
}
/*底部文字*/
.mw-footer-container{
	color:#54595d;
	
}
.mw-footer-container a{
	color:#000000;
}
/*侧边栏*/
#mw-site-navigation .sidebar-chunk{
	background:rgba(255,255,255,0.75);
	border: solid rgb(153 187 255 / 64%);
}
/*标题强调色*/
.mw-body h1.firstHeading{
	border-bottom:solid 4px #FF7D7F;
}
/*并联工具强调色*/
.tools-inline li.selected{
	border-bottom-color: #FF7D7F;
}

/*可视化编辑器*/
	/*可视化编辑器加载进度条颜色*/
.oo-ui-progressBarWidget.oo-ui-widget-enabled .oo-ui-progressBarWidget-bar{
	background-color:#FF7D7F;
}
.ve-init-mw-progressBarWidget{
	border:1px solid #FF7D7F;
}
.ve-init-mw-progressBarWidget{
	border:1px solid #FF7D7F;
}
.ve-init-mw-progressBarWidget-bar{
	background-color:#FF7D7F;
}

	/*可视化编辑器按钮*/
.oo-ui-tool.oo-ui-widget-enabled.oo-ui-flaggedElement-primary.oo-ui-flaggedElement-progressive > .oo-ui-tool-link{
	background-color:#FF7D7F;
}
.oo-ui-buttonElement-framed.oo-ui-widget-enabled.oo-ui-flaggedElement-primary.oo-ui-flaggedElement-progressive > .oo-ui-buttonElement-button {
    color: #fff;
    background-color: #ff7d7f;
    border-color: #ff7d7f
}

.oo-ui-buttonElement-framed.oo-ui-widget-enabled.oo-ui-flaggedElement-primary.oo-ui-flaggedElement-progressive > .oo-ui-buttonElement-button:hover {
    background-color: #ffa0a1;
    border-color: #ffa0a1
}

.oo-ui-buttonElement-framed.oo-ui-widget-enabled.oo-ui-flaggedElement-primary.oo-ui-flaggedElement-progressive > .oo-ui-buttonElement-button:focus {
    border-color: #ff7d7f;
    box-shadow: inset 0 0 0 1px #ff7d7f,inset 0 0 0 2px #fff;
    outline: 1px solid transparent
}

.oo-ui-buttonElement-framed.oo-ui-widget-enabled.oo-ui-flaggedElement-primary.oo-ui-flaggedElement-progressive > .oo-ui-buttonElement-button:active,.oo-ui-buttonElement-framed.oo-ui-widget-enabled.oo-ui-flaggedElement-primary.oo-ui-flaggedElement-progressive.oo-ui-buttonElement-pressed > .oo-ui-buttonElement-button,.oo-ui-buttonElement-framed.oo-ui-widget-enabled.oo-ui-flaggedElement-primary.oo-ui-flaggedElement-progressive.oo-ui-buttonElement-active > .oo-ui-buttonElement-button,.oo-ui-buttonElement-framed.oo-ui-widget-enabled.oo-ui-flaggedElement-primary.oo-ui-flaggedElement-progressive.oo-ui-popupToolGroup-active > .oo-ui-buttonElement-button {
    color: #fff;
    background-color: #f96365;
    border-color: #ff7d7f;
    box-shadow: none
}
.oo-ui-tool.oo-ui-widget-enabled.oo-ui-flaggedElement-primary.oo-ui-flaggedElement-progressive > .oo-ui-tool-link:hover{
	background-color: #ffa0a1;
	border-color: #ffa0a1;
}
	/*可视化编辑器复选框*/
.oo-ui-checkboxInputWidget.oo-ui-widget-enabled [type='checkbox']:focus + span {
    border-color: #ff7d7f;
    box-shadow: inset 0 0 0 1px #ff7d7f;
    outline: 1px solid transparent
}
.oo-ui-checkboxInputWidget.oo-ui-widget-enabled [type='checkbox']:hover + span {
    border-color: #ff9a9b
}
.oo-ui-checkboxInputWidget.oo-ui-widget-enabled [type='checkbox']:active + span {
    background-color: #ff6a6c;
    border-color: #ff6a6c;
    box-shadow: inset 0 0 0 1px #ff6a6c
}
.oo-ui-checkboxInputWidget.oo-ui-widget-enabled [type='checkbox']:checked + span,.oo-ui-checkboxInputWidget.oo-ui-widget-enabled [type='checkbox']:indeterminate + span {
    background-color: #ff7d7f;
    border-color: #ff7d7f
}
.oo-ui-checkboxInputWidget.oo-ui-widget-enabled [type='checkbox']:checked:focus + span,.oo-ui-checkboxInputWidget.oo-ui-widget-enabled [type='checkbox']:indeterminate:focus + span {
    background-color: #ff7d7f;
    border-color: #ff7d7f;
    box-shadow: inset 0 0 0 1px #ff7d7f,inset 0 0 0 2px #fff
}
.oo-ui-checkboxInputWidget.oo-ui-widget-enabled [type='checkbox']:checked:hover + span,.oo-ui-checkboxInputWidget.oo-ui-widget-enabled [type='checkbox']:indeterminate:hover + span {
    background-color: #ff9294;
    border-color: #ff7d7f
}
.oo-ui-checkboxInputWidget.oo-ui-widget-enabled [type='checkbox']:checked:active + span,.oo-ui-checkboxInputWidget.oo-ui-widget-enabled [type='checkbox']:indeterminate:active + span {
    background-color: #ff6a6c;
    border-color: #ff6a6c;
    box-shadow: inset 0 0 0 1px #ff6a6c
}

/* !功能性! */

/* 提示框 */
.infoBox {
    margin: 0 auto;
    width: 80%
}

.infoBoxTitle {
    margin: 3px auto;
    padding: 0;
    text-align: center;
    font-weight: 700
}

.infoBoxIcon {
    display: table-cell;
    padding: 2px 0 2px .5em;
    vertical-align: middle
}

.infoBoxText {
    display: table-cell;
    padding: .25em .5em .25em 1.3em;
    width: 100%;
    vertical-align: middle
}

.infoBoxContent {
    border: 1px solid #ddd;
    border-left-width: 0;
    background: #fbfbfb;
}

.infoBoxBelow {
    margin: 0 auto;
    padding: 0;
    text-align: center
}
/* 黑幕模板配合CSS */
/* 把这几行单独拎出来写,否则会被Firefox合并到“.heimu a”这条规则,然后又被上面的“点过外链不变色”规则override */
.heimu,
.heimu rt {
    background-color: #252525;
}
 
span.heimu a.external,
span.heimu a.external:visited,
span.heimu a.extiw,
span.heimu a.extiw:visited {
    color: #252525;
}
 
.heimu,
.heimu a,
a .heimu,
.heimu a.new {
    color: #252525;
    text-shadow: none;
}
 
body:not(.heimu_toggle_on) .heimu:hover,
body:not(.heimu_toggle_on) .heimu:active,
body:not(.heimu_toggle_on) .heimu.off {
    transition: color .13s linear;
    color: white;
}
 
body:not(.heimu_toggle_on) .heimu:hover a,
body:not(.heimu_toggle_on) a:hover .heimu,
body:not(.heimu_toggle_on) .heimu.off a,
body:not(.heimu_toggle_on) a:hover .heimu.off {
    transition: color .13s linear;
    color: lightblue;
}
 
body:not(.heimu_toggle_on) .heimu.off .new,
body:not(.heimu_toggle_on) .heimu.off .new:hover,
body:not(.heimu_toggle_on) .new:hover .heimu.off,
body:not(.heimu_toggle_on) .heimu:hover .new {
    transition: color .13s linear;
    color: #FCC;
}